-- --------------------------------------------------------------------------
--
-- Create schema main owner (user) 
--
--  project : SIH-Adagio :: Core Server
--  version : 4.1.22.2 for ${pom.env}
--      env : ${pom.env} - ${pom.profil}
--     date : ${pom.date.fr}
--
--  Copyright Ifremer 2009
-- 
-- 01/02/09 BL  Creation
-- 28/05/09 EB  modification suite aux differents echanges
-- 16/02/16 LP  ajout du privil�ge CREATE SYNONYM
-- --------------------------------------------------------------------------
-- --------------------------------------------------------------------------
-- IMPORTANT NOTE : Execute the sql file with SYSTEM privilege
-- --------------------------------------------------------------------------

-- --------------------------------------------------------------------------
-- administration des objets de la base
-- --------------------------------------------------------------------------
CREATE USER SIH2_ADAGIO_DBA IDENTIFIED BY 7SIH2_ADAGIO_DBA_
DEFAULT TABLESPACE ${sql.oracle.tablespace.default}
TEMPORARY TABLESPACE "TEMP";

-- --------------------------------------------------------------------------
-- Grant
-- --------------------------------------------------------------------------
GRANT CONNECT TO SIH2_ADAGIO_DBA;
GRANT RESOURCE TO SIH2_ADAGIO_DBA;

GRANT CREATE VIEW TO SIH2_ADAGIO_DBA;
GRANT CREATE PROCEDURE TO SIH2_ADAGIO_DBA;
GRANT CREATE TRIGGER TO SIH2_ADAGIO_DBA;
GRANT CREATE MATERIALIZED VIEW TO SIH2_ADAGIO_DBA;
GRANT CREATE SYNONYM to SIH2_ADAGIO_DBA;